Loading...
Searching...
No Matches
ConstStringListRef Class Reference

An adapter. Reference a list of strings. More...

## Data Structures

class | Adapter

## Public Types

using | Variant

## Public Member Functions

| ConstStringListRef ()=default
| ~ConstStringListRef ()=default
ConstStringListRef & | operator= (const ConstStringListRef &)=default
ConstStringListRef & | operator= (ConstStringListRef &&)=default
| ConstStringListRef (ConstStringListRef &&)=default
| ConstStringListRef (const ConstStringListRef &)=default
| ConstStringListRef (std::vector< std::string > value)
| ConstStringListRef (const std::vector< std::string > *value)
| ConstStringListRef (const std::vector< std::wstring > *value)
| ConstStringListRef (Adapter *adapter)
template<typename AdapterType>
| ConstStringListRef (std::unique_ptr< AdapterType > adapter)
size_t | size () const
std::string | operator[] (size_t i) const

## Detailed Description

An adapter. Reference a list of strings.

Supported input:

- std::vector<std::string>
- std::vector<std::string>*
- std::vector<std::wstring>*
- Adapter*
- std::unique_ptr<Adapter>

Definition at line 116 of file ref.hpp.

## Member Typedef Documentation

## Variant

using Variant

Initial value:
std::variant<const std::vector<std::string>,
const std::vector<std::string>*,
const std::vector<std::wstring>*,
Adapter*,
std::unique_ptr<Adapter>
>
ftxui::ConstStringListRef::Adapter
Definition ref.hpp:119

Definition at line 130 of file ref.hpp.

## Constructor & Destructor Documentation

## ConstStringListRef() [1/8]

ConstStringListRef | ( |  | ) |

default

## ~ConstStringListRef()

~ConstStringListRef | ( |  | ) |

default

## ConstStringListRef() [2/8]

ConstStringListRef | ( | ConstStringListRef && |  | ) |

default

## ConstStringListRef() [3/8]

ConstStringListRef | ( | const ConstStringListRef & |  | ) |

default

## ConstStringListRef() [4/8]

ConstStringListRef | ( | std::vector< std::string > | value | ) |

inline

Definition at line 144 of file ref.hpp.

## ConstStringListRef() [5/8]

ConstStringListRef | ( | const std::vector< std::string > * | value | ) |

inline

Definition at line 148 of file ref.hpp.

## ConstStringListRef() [6/8]

ConstStringListRef | ( | const std::vector< std::wstring > * | value | ) |

inline

Definition at line 152 of file ref.hpp.

## ConstStringListRef() [7/8]

ConstStringListRef | ( | Adapter * | adapter | ) |

inline

Definition at line 156 of file ref.hpp.

## ConstStringListRef() [8/8]

template<typename AdapterType>

ConstStringListRef | ( | std::unique_ptr< AdapterType > | adapter | ) |

inline

Definition at line 161 of file ref.hpp.

## Member Function Documentation

## operator=() [1/2]

ConstStringListRef & operator= | ( | const ConstStringListRef & |  | ) |

default

## operator=() [2/2]

ConstStringListRef & operator= | ( | ConstStringListRef && |  | ) |

default

## size()

size_t size | ( |  | ) | const

inline

Definition at line 167 of file ref.hpp.

## operator[]()

std::string operator[] | ( | size_t | i | ) | const

inline

Definition at line 171 of file ref.hpp.

The documentation for this class was generated from the following file:

- include/ftxui/util/ref.hpp